Subject: Re: bug#21422: 25.0.50; apropos-library on libraries using cl-def{generic,method} fails

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Jan 2016 22:06:19 +0200

> Date: Thu, 7 Jan 2016 14:06:40 -0500
> From: Mark Oteiza <[email-masked]>
> 
> >   apropos-library("cl-generic")
> >   funcall-interactively(apropos-library "cl-generic")
> >   call-interactively(apropos-library record nil)
> >   command-execute(apropos-library record)
> >   execute-extended-command(nil "apropos-library" nil)
> >   funcall-interactively(execute-extended-command nil "apropos-library" nil)
> >   call-interactively(execute-extended-command nil nil)
> >   command-execute(execute-extended-command)
> > 
> > I came across this because doing M-. on a function defined with
> > cl-defgeneric and cl-defmethod doesn't go to the definition, just the
> > top of the library, so apropos-library was my backup. I don't know if
> > the xref behavior should be a separate report.
> 
> cl-generic is used pretty widely, and apropos-library fails on libraries
> using it. Could this be marked to be fixed before release?

IMO, we should only do that if it's practical, i.e. if there's someone
who would work on fixing that.

I'd also suggest to have bug#22294 be the release blocker, if we have
a volunteer to work on it.